﻿Type=Class
Version=1.8
B4J=true
@EndOfDesignText@
'Class module
Sub Class_Globals
	Private fx As JFX
	Private frm As Form
	Private web As WebView
End Sub

'Initializes the object. You can add parameters to this method if needed.
Public Sub Initialize(Parent As Form)
	frm.Initialize("frm", 980, 750)
	frm.Title = "BJ Notes Help"
	frm.SetFormStyle("UTILITY")
	frm.Resizable = False
	frm.RootPane.LoadLayout("Help")
	frm.SetOwner(Parent)	
	
	LoadHelp

End Sub

Public Sub Show
	frm.WindowLeft = Main.loc.left + (Main.loc.width - frm.Width) / 2
	frm.WindowTop = Main.loc.top + (Main.loc.height - frm.Height) / 2

	frm.ShowAndWait
End Sub

' Load the Help HTML from index.html file
Private Sub LoadHelp
	Dim HelpFile As String
	Dim HelpDir As String
	
'	File.MakeDir(File.DirApp, "help") 
	If File.IsDirectory(File.DirApp, "help") Then
		HelpDir = File.Combine(File.DirApp, "help")
	 	If File.Exists(HelpDir, "index.html") Then
			' following two lines work if no images
'			HelpFile = File.ReadString(HelpDir, "index.html") 
'			web.LoadHtml(HelpFile)
			' following two lines work if their are images
			HelpFile = "file:///" & File.Combine(HelpDir, "index.html")
			web.LoadUrl(HelpFile)
		End If
	End If
End Sub