﻿Type=Class
Version=1.8
B4J=true
@EndOfDesignText@
'Class module
Sub Class_Globals
	Private fx As JFX
	Private CatItemFrm As Form
	Private ItemViewLV As ListView
	Public IsFormVisible As Boolean
End Sub

'Initializes the object. You can add parameters to this method if needed.
Public Sub Initialize(Parent As Form, Cids As Int)
	CatItemFrm.Initialize("CatItemFrm", 470, 300)
	CatItemFrm.Title = "Items for Selected Category"
	CatItemFrm.SetFormStyle("UTILITY")
	CatItemFrm.Resizable = False
	CatItemFrm.RootPane.LoadLayout("ShowCatItem")
	CatItemFrm.SetOwner(Parent)	
	SetCids(Cids)
End Sub

Public Sub Show
	IsFormVisible = True
	
	CatItemFrm.WindowLeft = Main.loc.left + (Main.loc.width - CatItemFrm.Width) / 2
	CatItemFrm.WindowTop = Main.loc.top + (Main.loc.height - CatItemFrm.Height) / 2
	
	CatItemFrm.Show
End Sub

' Update List with the current selected Category
Public Sub SetCids(Cids As Int)
	Dim Qry1 As String
	
	ItemViewLV.Items.Clear
	If Cids > -1 Then
		Qry1 = "SELECT Items FROM Items WHERE CId = " & Cids
		' add Cat's Items to LV	
		DBUtils.ExecuteList(Main.SQL1, Qry1, Null, 0, ItemViewLV.Items)
	End If
End Sub

' Indicate form is closed by setting: IsFormVisible = False
Private Sub CatItemFrm_CloseRequest (EventData As Event)
	IsFormVisible = False
End Sub
