﻿Type=Class
Version=1.8
B4J=true
@EndOfDesignText@
'Class module
Sub Class_Globals
	Private fx As JFX
	Private alFrm As Form
	Private RetVal As Int
	Private NoBtn As Button
	Private OKBtn As Button
	Private YesBtn As Button
	Private MsgLbl As Label
End Sub

'Initializes the object. You can add parameters to this method if needed.
Public Sub Initialize(Parent As Form)
	alFrm.Initialize("alFrm", 400, 195)
	alFrm.Title = "Add a Bet "
	alFrm.SetFormStyle("UTILITY")
	alFrm.Resizable = False
	alFrm.RootPane.LoadLayout("1")	' Layout
	alFrm.SetOwner(Parent)
	RetVal = -2
End Sub

Public Sub Show(AlertType As Int, Message As String, Title As String, loc As locs) As Int
	' Set buttons to use for Response
	If AlertType = 1 Then
		YesBtn.Visible = False
		NoBtn.Visible = False
		OKBtn.Visible = True
	Else
		YesBtn.Visible = True
		NoBtn.Visible = True
		OKBtn.Visible = False	
	End If
	
	' Set Title and Message for the Alert
	alFrm.Title = Title
	MsgLbl.Text = Message
	
	' center AlertForm over Current Calling Window
	alFrm.WindowLeft = loc.left + (loc.width - alFrm.Width) / 2
	alFrm.WindowTop = loc.top + (loc.height - alFrm.Height) / 2
	
	alFrm.ShowAndWait	' Modal dialog
	
	' Return Response
	Return RetVal
End Sub

Private Sub YesBtn_Action
	RetVal = 1
	alFrm.Close
End Sub

Private Sub OKBtn_Action
	RetVal = -1
	alFrm.Close
End Sub

Private Sub NoBtn_Action
	RetVal = 0
	alFrm.Close
End Sub

Private Sub alFrm_CloseRequest (EventData As Event)
	 EventData.Consume
End Sub